
ISTI Open Access - Support #27104

Problema accesso a dati openportal da nuovo sito web wnlab

Mar 22, 2024 01:37 PM - Anonymous

Status: Closed Start date: Mar 22, 2024

Priority: Normal Due date:  

Assignee: _InfraScience Site Reliability Engineer

(SRE)

% Done: 100%

Target version:    

VREName:    

Description

Il nuovo sito web del wnlab (raggiungibile alla url https://wnlab.isti.cnr.it/) accede all'API

https://openportal.isti.cnr.it/results

per scaricare e visualizzare gli articoli recenti del wnlab.

Abbiamo oggi cambiato il nome della macchina da www-wnlab.isti.cnr.it a wnlab.isti.cnr.it e la chiamata non funziona piu' per

problemi CORS.

La risposta alla query contiene l'header seguente (vedi anche snapshot allegato):

Access-Control-Allow-Origin: https://www-wnlab.isti.cnr.it

https://wnlab.isti.cnr.it/

Related issues:

Related to ISTI Open Access - Support #25212: Configurare openportal front en... Closed Jun 05, 2023

History

#1 - Mar 22, 2024 03:27 PM - Leonardo Candela

- Related to Support #25212: Configurare openportal front end all'accesso da siti *.isti.cnr.it added

#2 - Mar 22, 2024 03:30 PM - Leonardo Candela

- Assignee changed from Leonardo Candela to _InfraScience Site Reliability Engineer (SRE)

Si richiede una modifica alle opzioni che permettono CORS ... in #25212 era stato abilitato il sito https://www-wnlab.isti.cnr.it 

Dovremmo sostituire questo con il sito ufficiale, i.e. https://wnlab.isti.cnr.it

#3 - Mar 22, 2024 04:32 PM - Tommaso Piccioli

- Status changed from New to Closed

Risolto, l'accesso è consentito solo a con origine da https://wnlab.isti.cnr.it

#4 - Mar 22, 2024 04:45 PM - Leonardo Candela

- % Done changed from 0 to 100
